"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29940>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29a80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e299e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29b20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29bc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29c60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29d00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29da0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29e40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29ee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e29f80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a020>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a0c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a200>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a2a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a340>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a3e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a480>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a520>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a5c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a660>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a7a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a840>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a8e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2a980>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2aa20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2aac0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ab60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ac00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2aca0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ad40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ade0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ae80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2af20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2afc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b060>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b100>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b1a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b240>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b2e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b380>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b420>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b4c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b560>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b600>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b6a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b740>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b7e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b880>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b920>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2b9c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2ba60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bb00>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bba0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bc40>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bce0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bd80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2be20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bec0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e2bf60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e540e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54180>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54220>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e542c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54360>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54400>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e544a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54540>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e545e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54680>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54720>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e547c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54860>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54900>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e549a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54a40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54b80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54ae0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54c20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54cc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54d60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f32c4e54e00>)]
name: str = 'fr_HOCCN'
